package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.AbnormalMessage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 赵嘉伟
 * @since 2021-07-22
 */
public interface AbnormalMessageService extends IService<AbnormalMessage> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<AbnormalMessage> selectPage(FrontPage<AbnormalMessage> frontPage, AbnormalMessage abnormalMessage);

    List<AbnormalMessage> selectList(AbnormalMessage abnormalMessage);
}