package com.foreverwin.mesnac.dispatch.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.dispatch.model.SurplusInventory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 余料库存 服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-19
 */
public interface SurplusInventoryService extends IService<SurplusInventory> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SurplusInventory> selectPage(FrontPage<SurplusInventory> frontPage, SurplusInventory surplusInventory);

    List<SurplusInventory> selectList(SurplusInventory surplusInventory);
}